scrub-obsolete Package - hbci4java

Ready changes

Merge these changes:

git pull https://janitor.debian.net/git/hbci4java scrub-obsolete/main

Diff

diff --git a/debian/control b/debian/control
index 0f2ea33..6d35523 100644
--- a/debian/control
+++ b/debian/control
@@ -3,9 +3,9 @@ Section: java
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>
-Build-Depends: debhelper-compat (= 13), default-jdk, maven-debian-helper (>= 2.1)
+Build-Depends: debhelper-compat (= 13), default-jdk, maven-debian-helper
 Build-Depends-Indep: libmaven-install-plugin-java (>= 2.5.2), libmaven-javadoc-plugin-java (>= 3.0.0),
- libmaven-jaxb2-plugin-java (>= 0.13.3), junit4 (>= 4.12), default-jdk-doc, libjaxb-java, libjaxb-api-java
+ libmaven-jaxb2-plugin-java (>= 0.13.3), junit4, default-jdk-doc, libjaxb-java, libjaxb-api-java
 Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/java-team/hbci4java.git
 Vcs-Browser: https://salsa.debian.org/java-team/hbci4java

Run locally

Try this locally (using the lintian-brush package):

debcheckout hbci4java
cd hbci4java
DEB_UPDATE_CHANGELOG=auto scrub-obsolete

More details

Full run details